Subject: bug#11377: configure.am - fails to remove configure before attempting replacement

From: "Ronald F. Guilmette" <[email-masked]>
Date: Sat, 28 Apr 2012 13:55:00 -0700

Under certain very reasonable scenarios, the configure file contained within
some source tree may perhaps be marked as read-only.  When and if this occurs,
automake will fail to remove the configure file before it attempts to generate
it anew.  The following trivial patch corrects this problem.

I would really appreciate it if this small patch could be incorporated into
future releases of automake.  It does no harm, and it can provably do some
good in certain circumstances.

diff -rc2 src/automake-1.11.5/lib/am/configure.am build/automake-1.11.5/lib/am/configure.am
*** src/automake-1.11.5/lib/am/configure.am	2012-04-13 07:46:00.000000000 -0700
--- build/automake-1.11.5/lib/am/configure.am	2012-04-25 15:05:50.000000000 -0700
***************
*** 107,111 ****
  
  $(top_srcdir)/configure: %MAINTAINER-MODE% $(am__configure_deps)
! ?TOPDIR_P?	$(am__cd) $(srcdir) && $(AUTOCONF)
  ?!TOPDIR_P?	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  
--- 107,111 ----
  
  $(top_srcdir)/configure: %MAINTAINER-MODE% $(am__configure_deps)
! ?TOPDIR_P?	$(am__cd) $(srcdir) && rm -f $(top_srcdir)/configure && $(AUTOCONF)
  ?!TOPDIR_P?	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh